Summary: mod_timedout module for Apache web server
Name: mod_timedout
Version: 0.1
Release: 1
License: GPL
Group: Development
Source0: mod_timedout-%{version}.tar.gz
BuildRequires: httpd-devel, apr-devel
Requires: httpd


%description 
mod_timedout is module for killing long running request when apache free server count becomes low

%prep
%setup -n mod_timedout-%{version}


%configure
make
strip .libs/libmodtimedout.so.0

%build


%install
install -Dpm 755 .libs/libmodtimedout.so.0 \
                 $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_timedout.so

install -Dpm 644 timedout.conf \
                 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/timedout.conf

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/timedout.conf
%{_libdir}/httpd/modules/mod_timedout.so

%clean
rm -rf $RPM_BUILD_ROOT
